%define _plugindir %(gimptool-2.0 --gimpplugindir)/plug-ins/
%define _mathmapdir %{_datadir}/gimp/2.0/mathmap
%define _langdir %{_datadir}/gtksourceview-1.0/language-specs

%define shortname mathmap

Name:           gimp-plugin-%{shortname}
Version:        1.3.4
Release:        alt2

License:        GPL
Group:		Graphics
Summary:	MathMap GIMP Plug-In and Command-Line Tool
URL:		http://www.complang.tuwien.ac.at/schani/mathmap/

Source:		%{shortname}-%{version}.tar.gz
Source1:	ru.po

Patch0:		%{shortname}-1.3.4-defines-alt.patch
Patch1:		%{shortname}-1.3.4-localefix-alt.patch
Patch2:		%{shortname}-1.3.4-bufoverflowfix-alt.patch

BuildRequires: libpng-devel libjpeg-devel libgsl-devel libgtksourceview1-devel libgnomecanvas-devel libfftw3-devel
#BuildRequires: libquicktime-devel -- ugly buggy, not compiled...
BuildRequires: libungif-devel
BuildRequires: libgimp-devel >= 2.2

Requires: gimp2 >= 2.2, gcc


%description
MathMap is a GIMP plug-in which allows distortion of images specified
by mathematical formulae.  For each pixel in the generated image, an
expression is evaluated which should return a pixel value.  The
expression can either refer to a pixel in the source image or can
generate pixels completely independent of the source.

%prep
%setup -n %{shortname}-%{version} -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
cp %SOURCE1 .

%build
%make_build

%install
%make DESTDIR=%buildroot install
# blender stuff remained for future
install -m644 generators/blender/blender_template.c generators/blender/blender_opmacros.h $RPM_BUILD_ROOT/%{_mathmapdir}/

%find_lang %{shortname}

%files -f %{shortname}.lang

%doc ANNOUNCEMENT README README.filters README.mercurial README.blender
%{_bindir}/mathmap
%{_plugindir}/mathmap
%{_langdir}/mathmap.lang
%{_mathmapdir}

%changelog
* Mon Sep 22 2008 Yury Aliaev <mutabor@altlinux.org> 1.3.4-alt2
- buffer overflow fixed

* Fri Sep 19 2008 Yury Aliaev <mutabor@altlinux.org> 1.3.4-alt1
- Update for version 1.3.4
- Russian translation updated

* Thu Jun 19 2008 Yury Aliaev <mutabor@altlinux.org> 1.3.2-alt1
- Initial build for Sisyphus
- Russian translation added

* Sat Feb 16 2008 Mark Probst <schani@complang.tuwien.ac.at> 1.3.2
- Update for version 1.3.2

* Sun Jan 13 2008 Mark Probst <schani@complang.tuwien.ac.at> 1.3.1
- Update for version 1.3.1

* Tue Jan 01 2008 Mark Probst <schani@complang.tuwien.ac.at> 1.3.0
- Update for version 1.3.0

* Mon Dec 03 2007 Mark Probst <schani@complang.tuwien.ac.at> 1.2.4
- openSUSE Build Service

* Fri Nov 23 2007 Mark Probst <schani@complang.tuwien.ac.at> 1.2.4
- Update for version 1.2.4

* Fri Nov 09 2007 Mark Probst <schani@complang.tuwien.ac.at> 1.2.3
- Update for version 1.2.3

* Sun Nov 04 2007 Mark Probst <schani@complang.tuwien.ac.at> 1.2.2
- Update for version 1.2.2

* Thu May 04 2007 Mark Probst <schani@complang.tuwien.ac.at> 1.2.0
- Update for version 1.2.0

* Thu Apr 12 2007 Mark Probst <schani@complang.tuwien.ac.at> 1.1.3
- First creation of spec file
